FileSink (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.metrics2.sink, class: FileSink

Package org.apache.hadoop.metrics2.sink

# Class FileSink

java.lang.Object
org.apache.hadoop.metrics2.sink.FileSink

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `MetricsPlugin`, `MetricsSink`

@Public @Evolving public class FileSink extends Object implements MetricsSink, Closeable
A metrics sink that writes to a file

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileSink()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `flush()`
  Flush any buffered metrics
  `void`
  `init(org.apache.commons.configuration2.SubsetConfiguration conf)`
  Initialize the plugin
  `void`
  `putMetrics(MetricsRecord record)`
  Put a metrics record in the sink

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileSink

    public FileSink()

- ## Method Details

  - ### init

    public void init(org.apache.commons.configuration2.SubsetConfiguration conf)
    Description copied from interface: `MetricsPlugin`
    Initialize the plugin
    Specified by:
      `init` in interface `MetricsPlugin`
    Parameters:
      `conf` - the configuration object for the plugin

  - ### putMetrics

    public void putMetrics(MetricsRecord record)
    Description copied from interface: `MetricsSink`
    Put a metrics record in the sink
    Specified by:
      `putMetrics` in interface `MetricsSink`
    Parameters:
      `record` - the record to put

  - ### flush

    public void flush()
    Description copied from interface: `MetricsSink`
    Flush any buffered metrics
    Specified by:
      `flush` in interface `MetricsSink`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`